---
title: MimeType
slug: Web/API/MimeType
tags:
  - API
  - Interface
  - Plugins
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>MimeType</code></strong> interface provides contains information about a MIME type associated with a particular plugin. {{domxref("NavigatorPlugins.mimeTypes")}} returns an array of this object.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MimeType.type")}}</dt>
 <dd>Returns the MIME type of the associated plugin.</dd>
 <dt>{{domxref("MimeType.description")}}</dt>
 <dd>Returns a description of the associated plugin or an empty string if there is none.</dd>
 <dt>{{domxref("MimeType.suffixes")}}</dt>
 <dd>A string containing valid file extensions for the data displayed by the plugin, or an empty string if an extension is not valid for the particular module. For example, a browser's content decryption module may appear in the plugin list but support more file extensions than can be anticipated. It might therefore return an empty string.</dd>
 <dt>{{domxref("MimeType.enabledPlugin")}}</dt>
 <dd>Returns an instance of {{domxref("Plugin")}} containing information about the plugin itself.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#mimetype','MimeType')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MimeType")}}</p>
</div>
